package com.mortals.xhx.common.code;

import java.util.LinkedHashMap;
import java.util.Map;

/**
* 设备来源(0.子设备，1.网关设备，2.直连设备)枚举类
*
* @author zxfei
*/
public enum DeviceSrcEnum {
    子设备(0, "子设备"),
    网关设备(1, "网关设备"),
    直连设备(2, "直连设备");
    private Integer value;
    private String desc;

    DeviceSrcEnum(Integer value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    public Integer getValue() {
        return this.value;
    }

    public String getDesc() {
        return this.desc;
    }

    public static DeviceSrcEnum getByValue(Integer value) {
        for (DeviceSrcEnum deviceSrcEnum : DeviceSrcEnum.values()) {
            if (deviceSrcEnum.getValue() == value) {
                return deviceSrcEnum;
            }
        }
        return null;
    }

    /**
    * 获取Map集合
    *
    * @param eItem 不包含项
    * @return
    */
    public static Map<String, String> getEnumMap(Integer... eItem) {
        Map<String, String> resultMap = new LinkedHashMap<>();
        for (DeviceSrcEnum item : DeviceSrcEnum.values()) {
            try {
                boolean hasE = false;
                for (Integer e : eItem) {
                    if (item.getValue() == e) {
                        hasE = true;
                        break;
                    }
                }
                if (!hasE) {
                    resultMap.put(item.getValue() + "", item.getDesc());
                }
            } catch (Exception ex) {

            }
        }
        return resultMap;
    }
}